# ComponentWithBinaries

API Documentation: | `ComponentWithBinaries`

Known Subtypes: |
`CppComponent`
`SwiftComponent`

Represents a component that is composed of one or more binaries.

### Properties

Property | Description
`binaries` | The binaries of this component.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``BinaryCollection`<? extends `SoftwareComponent`>` `binaries` (read-only)

The binaries of this component.